package com.lightinit.hsdataportal.dictionary;

import java.util.LinkedHashMap;

public class DicCompanyAuthResult {
    public static final String PENDING = "未审核";
    public static final String  APPROVED="审核通过";
    public static final String REJECTED = "审核不通过";

    private static DicCompanyAuthResult instance=null;
    private static LinkedHashMap<String,String> dicMap=null;
    private DicCompanyAuthResult(){
        dicMap=new LinkedHashMap<String, String>();
        dicMap.put(PENDING, PENDING);
        dicMap.put(APPROVED,APPROVED);
        dicMap.put(REJECTED, REJECTED);
    }
    public static DicCompanyAuthResult getInstance(){
        if(instance==null){
            return new DicCompanyAuthResult();
        }
        return instance;
    }
    public LinkedHashMap<String,String> getDicMap(){
        return (LinkedHashMap<String, String>) dicMap.clone();
    }
}
